%%    Eotvos Quantum Transport Utilities - parseInput
%    Copyright (C) 2009-2015 Peter Rakyta, Ph.D.
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
%
%> @file createOutput.m
%> @brief This function creates an output file containing the running parameters.
%
%> @brief This function creates an output file containing the running parameters.
%> @param filename A string containing the absolute path to the file.
%> @param Opt An instance of structure #Opt.
%> @param param An instance of structure #param.
%%
function createOutput( filename, Opt, param )

if isempty(filename)
    return
end

% determine the filter type
[directory, name, ext] = fileparts(filename);

    if strcmpi( ext, '.xml' )
        XMLoutput( filename, Opt, param );
    else
        warning(['Unrecognized file type: ', ext, '. Creating XML output']);
        XMLoutput( filename, Opt, param );
    end

end
